ORIGIN = PWB
ORIGIN_VER = 2.0
PROJ = AWMCISAM
PROJFILE = AWMCISAM.MAK
DEBUG = 0

CC  = cl
CFLAGS_G  = /W2 /G2 /Gc /GA /Zp /BATCH
CFLAGS_D  = /Od /Zi /Gs /DDEBUG
CFLAGS_R  = /Os /Og /Oe /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOD /BATCH
LFLAGS_D  = /CO /NOF /NOPACKC
LFLAGS_R  = /FAR /PACKC
LLIBS_G  = LIBW SLIBCEW MMSYSTEM OLDNAMES
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
RC  = rc

FILES  = AWMCISAM.DEF AWMCISAM.RC AWMCISAM.C
DEF_FILE  = AWMCISAM.DEF
OBJS  = AWMCISAM.obj
RESS  = AWMCISAM.res

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .res .c .rc
.SUFFIXES: .obj .res .c .rc

AWMCISAM.res : AWMCISAM.RC awmcisam.h awmcisam.ico

AWMCISAM.obj : AWMCISAM.C awmcisam.h mciawi_x.h


$(PROJ).exe : $(DEF_FILE) $(OBJS) $(RESS)
!IF $(DEBUG)
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
        $(LINKER) @$(PROJ).lrf
!ELSE
        $(LINKER) @$(PROJ).lrf
!ENDIF
        $(RC) $(RESS) $@


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF

.rc.res :
        $(RC) /r $<


run: $(PROJ).exe
        WIN $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
        WIN CVW $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
